Skip to main content
GET
cURL

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

shareId
string
erforderlich

Abfrageparameter

projection
string[]

If you want to get only some fields, pass in this parameter, otherwise all visible fields will be obtained, The parameter value depends on the specified fieldKeyType to determine whether it is name or id

cellFormat
enum<string>
Standard:json

Define the return value formate, you can set it to text if you only need simple string value

Verfügbare Optionen:
json,
text
fieldKeyType
enum<string>
Standard:name

Define the key type of record.fields[key], You can click "systemInfo" in the field edit box to get fieldId or enter the table design screen with all the field details

Verfügbare Optionen:
id,
name,
dbFieldName
ignoreViewQuery

When a viewId is specified, configure this to true will ignore the view's filter, sort, etc

filterByTql
string
veraltet
Beispiel:

"{field} = 'Completed' AND {field} > 5"

filter
string

A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.

search

Search for records that match the specified field and value

Required array length: 1 element
filterLinkCellCandidate

Filter out the records that can be selected by a given link cell from the relational table. For example, if the specified field is one to many or one to one relationship, recordId for which the field has already been selected will not appear.

Required array length: 2 elements
Beispiel:
filterLinkCellSelected

Filter out selected records based on this link cell from the relational table. Note that viewId, filter, and orderBy will not take effect in this case because selected records has it own order. Ignoring recordId gets all the selected records for the field

Required array length: 2 elements
Beispiel:
selectedRecordIds
string[]

Filter selected records by record ids

orderBy
string

An array of sort objects that specifies how the records should be ordered.

groupBy
string

An array of group objects that specifies how the records should be grouped.

collapsedGroupIds
string

An array of group ids that specifies which groups are collapsed

queryId
string

When provided, other query parameters will be merged with the saved ones.

Beispiel:

"qry_xxxxxxxx"

take
Standard:100

The record count you want to take, maximum is 1000

Beispiel:

100

skip
Standard:0

The records count you want to skip

Beispiel:

0

Antwort

200 - application/json

Records for the share view

records
object[]
erforderlich

Array of record objects

Beispiel:
extra
object
Zuletzt geändert am 4. September 2026